銘柄の日次株価
指定した銘柄の日次株価(始値・高値・安値・終値・調整後終値・出来高)を新しい順で返す。東証ライセンスに基づくシステム共通の制約により、2005-01-01 より前は出典によらず全銘柄で提供されない。時系列比較には株式分割・併合を遡及調整した adj_close を使うこと。出典は原則 JPX 東京証券取引所。ただし札証・福証の単独上場銘柄は JPX の配信に含まれず、各取引所が公表する日報が出典となる(銘柄ごとに変わるため attribution を参照)。該当データが 0 件のときは空配列とともに reason (code=no_results + 状況の説明) を返す。
GET
/securities/{code}/pricesAuthorization
AuthorizationBearer token · headerrequiredIRBANK Connect (app.irbank.net/mcp-api) で発行した API キー
Path parameters
codestringrequired証券コード (4 桁)
matches ^[0-9A-Z]{4,5}$
Query parameters
fromstring取得開始日 (YYYY-MM-DD)。東証ライセンスにより 2005-01-01 以降のみ
matches ^\d{4}-\d{2}-\d{2}$
tostring取得終了日 (YYYY-MM-DD)。東証ライセンスにより 2005-01-01 以降のみ
matches ^\d{4}-\d{2}-\d{2}$
limitintegermin 1 · max 500 · default: 100
cursorstring前回レスポンスの next_cursor
Responses
200OK
fieldsobject[]required数値プロパティの単位メタデータ
Show propertiesHide properties
Array of
objectkeystringrequiredprices[] 内の対象数値プロパティのキー
labelstringrequired日本語の表示名
unitstringrequired単位識別子 (jpy / shares)
notestring補足 (任意)
codestringrequired証券コード (4 桁)
pricesSecurityDailyPrice[]required日次株価(四本値・出来高、新しい順)
Show propertiesHide properties
Array of
SecurityDailyPricedatestringrequired取引日 (YYYY-MM-DD)
opennumber | nullrequired始値 (円)
highnumber | nullrequired高値 (円)
lownumber | nullrequired安値 (円)
closenumber | nullrequired終値 (円)
adj_closenumber | nullrequired調整後終値 (円)。株式分割・併合を最新株数基準で遡及調整
volumenumber | nullrequired出来高 (株)
next_cursorstring | nullrequired次ページ取得用の不透明 cursor。null なら最終ページ
reasonEmptyReason | anyrequired本体データが空のとき、その理由 (機械可読な code + 説明・対処ヒント)。本体データが 1 件以上のときは null
Show propertiesHide properties
One of:
EmptyReason
codestringrequiredno_results: このリクエストに該当するデータが 0 件。収録が無い場合と、指定した条件に合致しない場合の両方を含む (両者は現状の実装では区別できないため、機械可読な値としては区別しない)。TDnet 由来の値は開示から 24 時間は収録に反映されないため、直近開示分は後から追加され得る
Allowed:
no_resultsmessagestringrequired0 件になった状況の説明 (英語)。人間向けの補足であり、分岐は code で行うこと (文面は予告なく改善されうる)
any
anyattributionAttributionrequiredShow propertiesHide properties
source_labelstringrequired出典表示ラベル(第三者に表示する際はこの表記を使う)
license_notestringrequired出典・再配信条件の注記
processed_bystringrequired400パラメータまたは cursor が不正
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequireddetailsExternalErrorDetail[]Show propertiesHide properties
Array of
ExternalErrorDetailparamstringrequiredreasonstringrequiredAllowed:
missingconflictinvalid_typeinvalid_formatout_of_rangeunknown_valuetoo_many_itemsinvalidexpectedstring受理される値の要約(範囲・型・列挙値)。示せない場合は省略する
404銘柄が存在しない
errorobjectrequiredShow propertiesHide properties
codestringrequiredmessagestringrequireddetailsExternalErrorDetail[]Show propertiesHide properties
Array of
ExternalErrorDetailparamstringrequiredreasonstringrequiredAllowed:
missingconflictinvalid_typeinvalid_formatout_of_rangeunknown_valuetoo_many_itemsinvalidexpectedstring受理される値の要約(範囲・型・列挙値)。示せない場合は省略する
Request
curl -X GET "https://api.irbank.net/v1/securities/7203/prices" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.irbank.net/v1/securities/7203/prices", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://api.irbank.net/v1/securities/7203/prices",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"fields": [
{
"key": "string",
"label": "string",
"unit": "string",
"note": "string"
}
],
"code": "7203",
"prices": [
{
"date": "2026-01-23",
"open": 0,
"high": 0,
"low": 0,
"close": 0,
"adj_close": 0,
"volume": 0
}
],
"next_cursor": "string",
"reason": {
"code": "no_results",
"message": "No segment disclosure is currently recorded for this organization."
},
"attribution": {
"source_label": "金融庁 EDINET / TDnet",
"license_note": "string",
"processed_by": "IRBANK"
}
}{
"error": {
"code": "not_found",
"message": "Security not found",
"details": [
{
"param": "years",
"reason": "out_of_range",
"expected": ">= 1"
}
]
}
}{
"error": {
"code": "not_found",
"message": "Security not found",
"details": [
{
"param": "years",
"reason": "out_of_range",
"expected": ">= 1"
}
]
}
}